<?php
/**
 * Webkul Software.
 *
 * @category  Webkul
 * @package   Webkul_MpBuyerSellerChatApi
 * @author    Webkul
 * @copyright Copyright (c) Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */
namespace Webkul\MpBuyerSellerChatApi\Api\Data;

interface ChatHistoryInterface
{
    const STATUS       = 'status';
    const LOCALE       = 'locale';
    const SUCCESS      = 'success';
    const MESSAGE      = 'message';
    const MESSAGE_LIST = 'message_list';

    /**
     * Get Status
     *
     * @return boolean|null
     */
    public function getStatus();
     
    /**
     * Set Status
     * @param boolean
     * @return boolean $status
     */
    public function setStatus($status);

    /**
     * Get Locale
     *
     * @return string|null
     */
    public function getLocale();
     
    /**
     * Set Locale
     * @param string
     * @return string $locale
     */
    public function setLocale($locale);

    /**
     * Get message list.
     *
     * @return string $items
     */
    public function getMessageList();

    /**
     * Set message list.
     *
     * @param string $items
     * @return $this
     */
    public function setMessageList($items);

    /**
     * Get Success
     *
     * @return boolean|null
     */
    public function getSuccess();
     
    /**
     * Set Success
     * @param boolean
     * @return boolean $success
     */
    public function setsuccess($success);


    /**
     * Get Locale
     *
     * @return string|null
     */
    public function getMessage();
     
    /**
     * Set Message
     * @param string
     * @return string $messgae
     */
    public function setMessage($messgae);
}
    